--
-- self
-- Class for all self
--
-- @author  Mario
-- @date  25/04/10
--
-- Copyright (C) Mario

double = {};

function double.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function double:load(xmlFile)

    self.doubles = {};
    self.doubles[1] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.doubles.double1#index"));
    self.doubles[2] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.doubles.double2#index"));
	
end;

function double:keyEvent(unicode, sym, modifier, isDown)

    if isDown and sym == Input.KEY_t then 
		self.drawdouble = not self.drawdouble;
		setVisibility(self.doubles[1], self.drawdouble);
    	setVisibility(self.doubles[2], self.drawdouble);
	end;

end;


function double:update(dt)
end;

function double:draw()
end;

function double:onEnter()

end;

function double:onLeave()
end;

function double:delete()
end;

function double:mouseEvent(posX, posY, isDown, isUp, button)
end;